<?php
class RemoveUniqueIndexFromEmailColumn extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'remove_unique_index_from_email_column';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
		),
		'down' => array(
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function before($direction) {

		if ($direction === 'up') {
			$Customer = ClassRegistry::init('EvCheckout.Customer');
			$Customer->query('ALTER TABLE users DROP INDEX email_UNIQUE');
		} else {
			$Customer = ClassRegistry::init('EvCheckout.Customer');
			$Customer->query('ALTER TABLE users ADD UNIQUE(`email`)');			
		}

		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function after($direction) {

		return true;
	}
}
